import { StiBorder } from "../properties/StiBorder";
import { StiUsedFontsList } from "../services/objects";
import Color from "../system/Color";
import { StiLabel, StiDescription } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiForm } from "./StiForm";
import { StiTextItem } from "./text/StiTextItem";
export declare class StiPanelElement extends StiFormElement implements StiLabel, StiDescription {
    type: string;
    description: StiTextItem;
    Width: number;
    Height: number;
    backgroundColor: Color;
    border: StiBorder;
    showBorderEditor: boolean;
    elements: StiFormElement[];
    form: StiForm;
    constructor(form: StiForm);
    canUpdateProperty(propName: string): boolean;
    get contentAreaWidth(): number;
    get contentAreaHeight(): number;
    getColumnWidth(columnsCount: number): number;
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    get allElements(): StiFormElement[];
    getAllElements(elements: StiFormElement[]): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    createElementClass(type: string): any;
}
